Re: [jokosher-devel] All new Ubuntu-specific Jokosher runscript

On Wed, Nov 15, 2006 at 01:48:27AM +0000, Stuart Langridge wrote:
> OK, new runscript, same URL:

Ran this on a default edgy installation last night and got a couple of

1. Should install subversion and not Subversion 

2. The fluendo-mp3 package is in universe which is disabled by default and
so the apt-get build-dep bombs out without returning anything and only the
python dependencies get installed. I enabled universe and re-ran and
everything was ok. What I should have done perhaps was to remove it and make
sure there weren't any more plugins that rely on libraries in universe. I
also didn't test saving in mp3. Does anyone know how we encode mp3? Do we
use lame? Because that's in multiverse and definitely won't be swithched on
in a default install. Actually thinking about this now that might be a bit
of a hole in the way the script works. Plugins like lame aren't actually
dependencies to gst-plugins-ugly etc but optional extras and so build-dep
doesn't pull them in. I wish now I'd spent some time working with the
Jokosher that got built instead of just seeing that it built and loaded.

John Green

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]